# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog][keep_chglog], and this project adheres
to [Semantic Versioning][sem_ver].

## [Unreleased]

### Added

- **Doc**: Changelog
- **Controller**: Complete control over Serial
- **Acquisition**: Angle sensor acquisition
- **Acquisition**: PSU current and tension monitoring

### Changed

- **Doc**: Update features in Readme
- **Controller**: Switch no longer just a safety, but a mode select
- **Logging**: Minor adaptations to serial-studio interface
- **Logging**: Output desired frequency as well
- **All**: Various refactoring and style improvements
- **All**: Use more precise types to limit RAM
- **Refactor**: Split the code into different files

### Deprecated

### Removed

### Fixed

## [v1.0.0] - 2022-10-25

### Added

- **Controller**: Minimal working code (manual setting of ESC with potentiometer)
- **Logging**: Basic interface for serial-studio

[sem_ver]:<https://semver.org/spec/v2.0.0.html>
[keep_chglog]: <https://keepachangelog.com/en/1.0.0/>
[Unreleased]: https://gitlab.uliege.be/thlamb/mecharaptor-controller/-/compare/v1.0.0...main
[v1.0.0]: https://gitlab.uliege.be/thlamb/mecharaptor-controller/-/releases/tag/v1.0.0
